Subject: Re: [PATCH net-next RFC WIP] Patch for XDP support for virtio_net

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 26 Oct 2016 20:07:19 +0300

On Wed, Oct 26, 2016 at 12:52:45PM -0400, David Miller wrote:
> From: "Michael S. Tsirkin" <[email-masked]>
> Date: Wed, 26 Oct 2016 19:36:45 +0300
> 
> > On Wed, Oct 26, 2016 at 03:52:02PM +0200, Jesper Dangaard Brouer wrote:
> >> On Sat, 22 Oct 2016 04:07:23 +0000
> >> Shrijeet Mukherjee <[email-masked]> wrote:
> >> 
> >> > This patch adds support for xdp ndo and also inserts the xdp program
> >> > call into the merged RX buffers and big buffers paths
> >> 
> >> I really appreciate you are doing this for virtio_net.
> >> 
> >> My first question is: Is the (packet) page data writable?
> >> (MST might be able to answer?)
> >> 
> >> As this is currently an XDP requirement[1].  
> > 
> > I'm not sure I understand what does writable mean.
> > Could you explain a bit more pls?
> > We do copy data into skb ATM but I plan to change that.
> 
> The packet data area must be writable,

This is the part I don't fully understand.
It's in RAM so of course it's writeable.

> and the page it lives in must
> not be shared with any other entity in the system.

We share pages between arbitrary multiple packets. I think that's
OK - or is there an assumption that multiple programs
will be attached with different priveledges?

> This is because the eBPF program that executes via XDP must be able
> to modify and read arbitrary parts of the packet area.

-- 
MST